FreeMat

- Main Page
- Related Pages

vtkExtractSelectedThresholds

Section: Visualization Toolkit Graphics Classes

# Usage

vtkExtractSelectedThresholds extracts all cells and points with attribute values that lie within a vtkSelection's THRESHOLD contents. The selecion can specify to threshold a particular array within either the point or cell attribute data of the input. This is similar to vtkThreshold but allows mutliple thresholds ranges. This filter adds a scalar array called vtkOriginalCellIds that says what input cell produced each output cell. This is an example of a Pedigree ID which helps to trace back results.

To create an instance of class vtkExtractSelectedThresholds, simply invoke its constructor as follows

      obj = vtkExtractSelectedThresholds

# Methods

The class vtkExtractSelectedThresholds has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkExtractSelectedThresholds class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkExtractSelectedThresholds = obj.NewInstance ()`
- `vtkExtractSelectedThresholds = obj.SafeDownCast (vtkObject o)`